# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::LoadWriterDICOM Class Reference

The LoadWriterDICOM class is a ResourceLoadWriter capable of reading DICOM files (.dcm, .dicom, .dic, .ima, .ph, .mag) using GDCM 2.0 library. More...

`#include <vlDICOM.hpp>`

Inheritance diagram for vl::LoadWriterDICOM:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| LoadWriterDICOM ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &, ResourceDatabase *) const
bool | writeResource (VirtualFile *, ResourceDatabase *) const

## Detailed Description

The LoadWriterDICOM class is a ResourceLoadWriter capable of reading DICOM files (.dcm, .dicom, .dic, .ima, .ph, .mag) using GDCM 2.0 library.

See also:
  GDCM home page: http://creatis-www.insa-lyon.fr/software/public/Gdcm/Main.html

Definition at line 60 of file vlDICOM.hpp.

## Constructor & Destructor Documentation

vl::LoadWriterDICOM::LoadWriterDICOM | ( | ) | `[inline]`

Definition at line 65 of file vlDICOM.hpp.

References className(), and vl::Object::mObjectName.

## Member Function Documentation

virtual const char* vl::LoadWriterDICOM::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::ResourceLoadWriter.

Definition at line 63 of file vlDICOM.hpp.

Referenced by LoadWriterDICOM().

ref<ResourceDatabase> vl::LoadWriterDICOM::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 72 of file vlDICOM.hpp.

References vl::loadDICOM().

ref<ResourceDatabase> vl::LoadWriterDICOM::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 81 of file vlDICOM.hpp.

References vl::loadDICOM().

bool vl::LoadWriterDICOM::writeResource | ( | const String & | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 90 of file vlDICOM.hpp.

bool vl::LoadWriterDICOM::writeResource | ( | VirtualFile * | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 95 of file vlDICOM.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/plugins/vlDICOM.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:35.
Permission is granted to use this page to write and publish articles regarding Visualization Library.